Name:           ninja-build
Version:        1.8.2
Release:        8
Summary:        A small build system with a focus on speed
License:        ASL 2.0
URL:            https://ninja-build.org/
Source0:        https://github.com/ninja-build/ninja/archive/v%{version}.tar.gz#/ninja-%{version}.tar.gz
Source1:        macros.ninja
BuildRequires:  gcc-c++ python2-devel python3-devel asciidoc gtest-devel
Requires:       emacs-filesystem vim-filesystem

%description
Ninja is a small build system with a focus on speed. It differs from other build systems
in two major respects: it is designed to have its input files generated by a higher-level
build system, and it is designed to run builds as fast as possible.

%prep
%autosetup -n ninja-%{version} -p1

%build
CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" \
%{__python3} configure.py --bootstrap --verbose

./ninja -v all
./ninja -v manual

%install
install -Dpm755 ninja -t %{buildroot}%{_bindir}/
install -Dpm644 misc/bash-completion %{buildroot}%{_datadir}/bash-completion/completions/ninja
install -Dpm644 misc/ninja-mode.el %{buildroot}%{_datadir}/emacs/site-lisp/ninja-mode.el
install -Dpm644 misc/ninja.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax/ninja.vim
install -Dpm644 misc/zsh-completion %{buildroot}%{_datadir}/zsh/site-functions/_ninja
install -Dpm644 %{SOURCE1} %{buildroot}%{rpmmacrodir}/macros.ninja

sed -i -e "/^%%__ninja /s| .*$| %{_bindir}/ninja|" %{buildroot}%{rpmmacrodir}/macros.ninja

ln -sf ninja %{buildroot}%{_bindir}/ninja-build

%check
./ninja_test --gtest_filter=-SubprocessTest.SetWithLots

%files
%license COPYING
%doc HACKING.md README doc/manual.html
%{_bindir}/{ninja,ninja-build}
%{_datadir}/bash-completion/completions/ninja
%{_datadir}/emacs/site-lisp/ninja-mode.el
%{_datadir}/vim/vimfiles/syntax/ninja.vim
%{_datadir}/zsh/
%{rpmmacrodir}/macros.ninja

%changelog
* Fri Jan 17 2020 zhouyihang <zhouyihang1@huawei.com> - 1.8.2-8
- remove useless file and update invalid source address

* Sun Jan 12 2020 chengquan <chengquan3@huawei.com> - 1.8.2-7
- remove useless buildrequires of software

* Mon Nov 04 2019 huzhiyu <huzhiyu1@huawei.com> - 1.8.2-6
- Package init
